# trisetcmp

## Name

trisetcmp — Compare triangulations between two Regina data files

## Synopsis

trisetcmp [[`-m`] | [`-n`]] [`-s`] {`file1`} {`file2`}

## Description

Compares all triangulations in the first file against all triangulations in the second file, looking for pairs of triangulations that are combinatorially isomorphic.

The two given files must be Regina data files. A full list of matches (or a full list of non-matches if `-n` is passed) is written to standard output. A match occurs when some triangulation from `file1` is combinatorially isomorphic to some triangulation from `file2` (i.e., identical up to a relabelling of tetrahedra and their vertices).

This utility can also do subcomplex testing instead of full isomorphism testing. See the option `-s` for details.

## Options

`-m` (default)

  Output matches only. All isomorphic matches between triangulations in `file1` and triangulations in `file2` will be listed.

`-n`

  Output non-matches only. All triangulations from `file1` with no isomorphic match in `file2` will be listed, and vice versa.

  If `-s` is passed then non-matches are tested in one direction only, not both; see below for details.

`-s`

  Instead of testing triangulations for isomorphism, test whether one triangulation is isomorphic to a subcomplex of the other.

  In the default case of `-m` (output matches only), this program outputs all instances where a triangulation from `file1` is isomorphic to a subcomplex of a triangulation from `file2`.

  In the case of `-n` (output non-matches only), this program outputs all triangulations from `file1` that are not isomorphic to a subcomplex of any triangulation from `file2`.

## Internationalisation

If any packets contain international characters, Regina will attempt to convert these to your local character encoding as it writes them to the output.

You can tell Regina what character encoding to use by setting standard locale-related environment variables, such as `LANG`, `LC_CTYPE` or `LC_ALL`.

For example, if `LANG` is set to `en_AU` then output will be written in the Western European character set `ISO-8859-1`, and if `LANG` is set to `en_AU.UTF-8` then output will be written in the universal character set `UTF-8`.

Typically these environment variables will already be set for you when you install your GNU/Linux system, and Regina will just use the right character set out of the box. See your GNU/Linux system reference for further information on supporting different locales.

## MacOS X Users

If you downloaded a drag-and-drop app bundle, this utility is shipped inside it. If you dragged Regina to the main Applications folder, you can run it as `/Applications/Regina.app/Contents/MacOS/trisetcmp`.

## Windows Users

The command-line utilities are installed beneath the `Program Files` directory; on some machines this directory is called `Program Files (x86)`. You can start this utility by running `c:\Program Files\Regina\Regina 4.96\bin\trisetcmp.exe`.

## See Also

censuslookup, regina-gui.

## Author

This utility was written by Benjamin Burton `<bab@debian.org>`. Many people have been involved in the development of Regina; see the acknowledgements page for a full list of credits.